Name: libpng
Version: 1.6.37
Release: 0
License: Libpng
Summary: The official PNG reference library
Url: http://www.libpng.org/pub/png/libpng.html

BuildRequires: zlib-devel

Source0: http://download.sourceforge.net/libpng/libpng-%{version}.tar.gz


%description
libpng is the official PNG reference library. It supports almost all PNG features, is extensible, and has been extensively tested for over 22 years. The home site for development versions (i.e., may be buggy or subject to change or include experimental features) is https://libpng.sourceforge.io/, and the place to go for questions about the library is the png-mng-implement mailing list.

%package -n libpng16
Summary: The official PNG reference library
Provides: %{name} = %{version}

%description -n libpng16
libpng is the official PNG reference library. It supports almost all PNG features, is extensible, and has been extensively tested for over 22 years. The home site for development versions (i.e., may be buggy or subject to change or include experimental features) is https://libpng.sourceforge.io/, and the place to go for questions about the library is the png-mng-implement mailing list.

%package tools
Summary: libpng tools
Requires: %{name} = %{version}

%description tools
Tools provided by libpng

%package devel
Summary: libpng development files
Requires: %{name} = %{version}

%description devel
libpng development files


%prep
%setup -q

%build

%configure \
  CPPFLAGS="-I%{_includedir}" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --host=powerpc-ibm-aix6 \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  # end

%make_build

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libpng16
%defattr(-, qsys, *none)

%{_libdir}/libpng16.so.16

%files tools
%defattr(-, qsys, *none)

%{_bindir}/png-fix-itxt
%{_bindir}/pngfix

%files devel
%defattr(-, qsys, *none)

%{_bindir}/libpng-config
%{_bindir}/libpng16-config

%{_libdir}/libpng.so
%{_libdir}/libpng16.so

%{_libdir}/pkgconfig/libpng.pc
%{_libdir}/pkgconfig/libpng16.pc

%{_mandir}/man3/libpng.3
%{_mandir}/man3/libpngpf.3
%{_mandir}/man5/png.5

%{_includedir}/*

%changelog
* Tue Nov 12 2019 Xu Meng <mengxumx@cn.ibm.com> -1.6.37
- Bump to 1.6.37 for CVE-2019-7317 fix

* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 1.6.28
- Use SPDX license

* Thu Mar 22 2018 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- Make libpng16 provide libpng instead of require it

* Tue Mar 06 2018 - Kevin Adler <kadler@us.ibm.com>
- Add unpackaged man pages

* Tue Mar 06 2018 - Kevin Adler <kadler@us.ibm.com>
- Use configure macro instead of calling conigure directly
- Move *-config scripts to -devel package
- Move scripts and binaries out of library packages.

* Mon Mar 05 2018 - mengxumx <mengxumx@cn.ibm.com>
- Initial package
